%define pypi_name eduvpn_client

Name:           eduvpn-client
Version:        2.2.0
Release:        %mkrel 7
Summary:        eduVPN client
Group:          Networking/Other
License:        MIT
URL:            https://github.com/eduvpn/python-eduvpn-client
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-dbus
BuildRequires:  python3-gobject
BuildRequires:  python3-pynacl
BuildRequires:  python3-repoze-lru
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-future
BuildRequires:  python3-dateutil
BuildRequires:  python3-cryptography
BuildRequires:  python3-qrcode
BuildRequires:  python3-pillow
BuildRequires:  python3-mock
BuildRequires:  python3-test
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-pylama
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  typelib(Notify)
BuildRequires:  typelib(Gtk) < 4
Requires:       networkmanager
Provides:       letconnect-client = %{version}-%{release}
%{?python_provide:%python_provide python3-eduvpn-client}

%description
Linux eduVPN client and Python API.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files eduvpn

rm -rf %{buildroot}%{python3_sitelib}/tests

%find_lang eduVPN

%check
# tests require a notification daemon
rm -rf tests/actions
rm -f tests/test_actions.py
rm -f tests/test_manager.py
rm -f tests/test_notify.py
rm -f tests/test_nm.py
%pytest

%files -f eduVPN.lang -f %{pyproject_files}
%license LICENSE*
%doc README.md
%{_bindir}/eduvpn-*
%{_datadir}/applications/org.eduvpn.client.desktop
%{_datadir}/eduvpn/
%{_iconsdir}/hicolor/*/apps/org.eduvpn.client.png

%{_bindir}/letsconnect-*
%{_datadir}/applications/org.letsconnect-vpn.client.desktop
%{_datadir}/letsconnect/
%{_iconsdir}/hicolor/*/apps/org.letsconnect-vpn.client.png


%changelog
* Sat Mar 08 2025 papoteur <papoteur> 2.2.0-7.mga10
+ Revision: 2162028
- rebuild for python3.13

* Mon Dec 23 2024 daviddavid <daviddavid> 2.2.0-6.mga10
+ Revision: 2129200
- switch to pyproject and switch to pytest

* Sat Feb 24 2024 daviddavid <daviddavid> 2.2.0-5.mga10
+ Revision: 2043947
- rebuild for py3.12

* Wed Apr 06 2022 umeabot <umeabot> 2.2.0-4.mga9
+ Revision: 1846081
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 2.2.0-3.mga9
+ Revision: 1782828
- Rebuild for python-3.10

* Sat Jan 15 2022 guillomovitch <guillomovitch> 2.2.0-2.mga9
+ Revision: 1768413
- add missing dependency on networkmanager (mga#29881)

* Fri Jan 14 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1768360
- new version 2.2.0

* Sat Apr 03 2021 guillomovitch <guillomovitch> 1.1-1.mga9
+ Revision: 1713000
- new version 1.1
+ tv <tv>
- rebuild for python 3.9

* Fri Dec 11 2020 wally <wally> 1.0.3-4.mga8
+ Revision: 1655458
- fix gtk3 BR
- update pygobject BR

* Tue Aug 25 2020 guillomovitch <guillomovitch> 1.0.3-3.mga8
+ Revision: 1619023
+ rebuild (emptylog)

* Fri Mar 20 2020 guillomovitch <guillomovitch> 1.0.3-2.mga8
+ Revision: 1558209
- run tests, excepted those requiring D-Bus service

* Wed Mar 18 2020 guillomovitch <guillomovitch> 1.0.3-1.mga8
+ Revision: 1557743
- imported package eduvpn-client

